Subject: Re: [PATCH net-next v3 00/11] wireguard: netlink: ynl conversion

From: "Jason A. Donenfeld" <[email-masked]>
Date: Tue, 18 Nov 2025 01:43:37 +0100

On Mon, Nov 17, 2025 at 04:14:39PM -0800, Jakub Kicinski wrote:
> On Wed, 12 Nov 2025 04:59:30 +0100 Jason A. Donenfeld wrote:
> > On Mon, Nov 10, 2025 at 06:07:46PM -0800, Jakub Kicinski wrote:
> > > On Wed,  5 Nov 2025 18:32:09 +0000 Asbjørn Sloth Tønnesen wrote:  
> > > > This series completes the implementation of YNL for wireguard,
> > > > as previously announced[1].
> > > > 
> > > > This series consist of 5 parts:
> > > > 1) Patch 01-03 - Misc. changes
> > > > 2) Patch    04 - Add YNL specification for wireguard
> > > > 3) Patch 05-07 - Transition to a generated UAPI header
> > > > 4) Patch    08 - Adds a sample program for the generated C library
> > > > 5) Patch 09-11 - Transition to generated netlink policy code
> > > > 
> > > > The main benefit of having a YNL specification is unlocked after the
> > > > first 2 parts, the RFC version seems to already have spawned a new
> > > > Rust netlink binding[2] using wireguard as it's main example.
> > > > 
> > > > Part 3 and 5 validates that the specification is complete and aligned,
> > > > the generated code might have a few warts, but they don't matter too
> > > > much, and are mostly a transitional problem[3].
> > > > 
> > > > Part 4 is possible after part 2, but is ordered after part 3,
> > > > as it needs to duplicate the UAPI header in tools/include.  
> > > 
> > > These LGTM, now.
> > > 
> > > Jason what's your feeling here? AFAICT the changes to the wg code
> > > are quite minor now.   
> > 
> > Reviewing it this week. Thanks for bumping this in my queue.
> 
> Sadness. We wait a week and no review materializes. I think the patches
> are fine so I'll apply them shortly. The expected patch review SLA for
> netdev sub-maintainers is 24h (excluding weekends and holidays)
> https://docs.kernel.org/next/maintainer/feature-and-driver-maintainers.html

Sadness indeed. I've had some urgent matters come up, but this is now
top of the stack, and I've given it a quick preliminary pass. I'd
planned to take this through my wg tree.

Jason